Package twisted :: Package python :: Module urlpath :: Class URLPath |
[frames | no frames]

## Class URLPath

Method Summary
| `__init__(self, scheme, netloc, path, query, fragment)`
| `__repr__(self)`
| `__str__(self)`
| `_pathMod(self, newpathsegs, keepQuery)`
| `child(self, path, keepQuery)`
| ``click`(self, st)` Return a path which is the URL where a browser would presumably take you if you clicked on a link with an HREF as given.
| `fromRequest(klass, request)` (Class method)
| `fromString(klass, st)` (Class method)
| `here(self, keepQuery)`
| `parent(self, keepQuery)`
| `pathList(self, unquote, copy)`
| `sibling(self, path, keepQuery)`

Class Variable Summary
`NoneType` | `_qpathlist` = None
`NoneType` | `_uqpathlist` = None

Instance Method Details

### click(self, st) Return a path which is the URL where a browser would presumably take you if you clicked on a link with an HREF as given.

Class Variable Details

    ### _qpathlist Type: `NoneType` Value:
        None

    ### _uqpathlist Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net